Index: src/UIElements/Qt4/QtDialog.cpp
===================================================================
--- src/UIElements/Qt4/QtDialog.cpp	(revision 6e6b9000d63e415dcd88d625a8bf097ce425b880)
+++ src/UIElements/Qt4/QtDialog.cpp	(revision c586d8167c446dff7b1ea58c21d9589f1abb8b54)
@@ -175,4 +175,9 @@
 }
 
+void QtDialog::queryFiles(const char* title, std::string)
+{
+  registerQuery(new FilesQtQuery(title,inputLayout,this));
+}
+
 void QtDialog::queryRandomNumberDistribution_Parameters(const char* title, std::string)
 {
Index: src/UIElements/Qt4/QtDialog.hpp
===================================================================
--- src/UIElements/Qt4/QtDialog.hpp	(revision 6e6b9000d63e415dcd88d625a8bf097ce425b880)
+++ src/UIElements/Qt4/QtDialog.hpp	(revision c586d8167c446dff7b1ea58c21d9589f1abb8b54)
@@ -52,4 +52,5 @@
   virtual void queryElements(const char*,std::string = "");
   virtual void queryFile(const char*,std::string = "");
+  virtual void queryFiles(const char*,std::string = "");
   virtual void queryRandomNumberDistribution_Parameters(const char*,std::string = "");
 
@@ -69,4 +70,5 @@
   class EmptyQtQuery;
   class FileQtQuery;
+  class FilesQtQuery;
   class IntQtQuery;
   class IntsQtQuery;
Index: src/UIElements/Qt4/Query/FilesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/FilesQtQuery.cpp	(revision c586d8167c446dff7b1ea58c21d9589f1abb8b54)
+++ src/UIElements/Qt4/Query/FilesQtQuery.cpp	(revision c586d8167c446dff7b1ea58c21d9589f1abb8b54)
@@ -0,0 +1,77 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * FilesQtQuery.cpp
+ *
+ *  Created on: May 21, 2012
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <Qt/qboxlayout.h>
+#include <Qt/qlabel.h>
+#include <Qt/qlineedit.h>
+#include <Qt/qlistwidget.h>
+#include <Qt/qpushbutton.h>
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "UIElements/Qt4/Query/QtQuery.hpp"
+#include "UIElements/Qt4/Pipe/QtQueryListPipe.hpp"
+
+
+QtDialog::FilesQtQuery::FilesQtQuery(std::string _title, QBoxLayout *_parent, QtDialog *_dialog) :
+    Dialog::FilesQuery(_title),
+    parent(_parent)
+{
+  QHBoxLayout * thisHLayout = new QHBoxLayout();
+  QVBoxLayout * thisV1Layout = new QVBoxLayout();
+  QVBoxLayout * thisV2Layout = new QVBoxLayout();
+
+  QLabel *titleLabel = new QLabel(QString(getTitle().c_str()));
+  QLabel *inputLabel = new QLabel("Enter to add");
+  QListWidget* inputList = new QListWidget();
+  inputList->setSelectionMode(QAbstractItemView::ExtendedSelection);
+  QLineEdit* inputBox = new QLineEdit();
+  inputLabel->setBuddy(inputBox);
+  titleLabel->setBuddy(inputList);
+  QPushButton* AddButton = new QPushButton("Add");
+  AddButton->setEnabled(false);
+  QPushButton* RemoveButton = new QPushButton("Remove");
+  RemoveButton->setEnabled(false);
+
+  thisV1Layout->addWidget(titleLabel);
+  thisV1Layout->addWidget(inputList);
+  thisV2Layout->addWidget(inputLabel);
+  thisV2Layout->addWidget(inputBox);
+  thisV2Layout->addWidget(AddButton);
+  thisV2Layout->addWidget(RemoveButton);
+  parent->addLayout(thisHLayout);
+  thisHLayout->addLayout(thisV1Layout);
+  thisHLayout->addLayout(thisV2Layout);
+
+  pipe = new QtQueryListPipe<boost::filesystem::path>(&tmp,_dialog,inputBox,inputList,AddButton,RemoveButton);
+  connect(inputBox,SIGNAL(textChanged(const QString&)),pipe,SLOT(IntegerEntered(const QString&)));
+  connect(inputList,SIGNAL(itemSelectionChanged()),pipe,SLOT(IntegerSelected()));
+  connect(AddButton,SIGNAL(Clicked()),pipe,SLOT(AddValue()));
+  connect(RemoveButton,SIGNAL(Clicked()),pipe,SLOT(RemoveRow()));
+}
+
+QtDialog::FilesQtQuery::~FilesQtQuery()
+{
+  delete pipe;
+}
+
+bool QtDialog::FilesQtQuery::handle(){
+  return true;
+}
+
Index: src/UIElements/Qt4/Query/QtQuery.hpp
===================================================================
--- src/UIElements/Qt4/Query/QtQuery.hpp	(revision 6e6b9000d63e415dcd88d625a8bf097ce425b880)
+++ src/UIElements/Qt4/Query/QtQuery.hpp	(revision c586d8167c446dff7b1ea58c21d9589f1abb8b54)
@@ -195,4 +195,21 @@
 };
 
+class QtDialog::FilesQtQuery : public Dialog::FilesQuery {
+public:
+  FilesQtQuery(std::string _title, QBoxLayout *_parent, QtDialog *_dialog);
+  virtual ~FilesQtQuery();
+  virtual bool handle();
+  void IntegerEntered(const QString&);
+  void IntegerSelected();
+  void AddInteger();
+  void RemoveInteger();
+private:
+  QBoxLayout *parent;
+  QBoxLayout *thisLayout;
+  QLabel *titleLabel;
+
+  QtQueryListPipe<boost::filesystem::path> *pipe;
+};
+
 class QtDialog::IntQtQuery : public Dialog::IntQuery {
 public:
